GDB (API)

Public Member Functions | List of all members
minimal_symbol_reader Class Reference

`#include "minsyms.h"`

## Public Member Functions
| minimal_symbol_reader (struct objfile *)
| ~minimal_symbol_reader ()
void | install ()
struct minimal_symbol * | record_full (const char *name, int name_len, bool copy_name, CORE_ADDR address, enum minimal_symbol_type ms_type, int section)
void | record (const char *name, CORE_ADDR address, enum minimal_symbol_type ms_type)
struct minimal_symbol * | record_with_info (const char *name, CORE_ADDR address, enum minimal_symbol_type ms_type, int section)

## Detailed Description

Definition at line 62 of file minsyms.h.

## Constructor & Destructor Documentation

## ◆ minimal_symbol_reader()

minimal_symbol_reader::minimal_symbol_reader | ( | struct objfile * |  | ) |
| explicit

## ◆ ~minimal_symbol_reader()

minimal_symbol_reader::~minimal_symbol_reader | ( |  | ) |

## Member Function Documentation

## ◆ install()

void minimal_symbol_reader::install | ( |  | ) |

## ◆ record()

void minimal_symbol_reader::record | ( | const char * | name,
|  | CORE_ADDR | address,
|  | enum minimal_symbol_type | ms_type
| ) |  |

## ◆ record_full()

struct minimal_symbol* minimal_symbol_reader::record_full | ( | const char * | name,
|  | int | name_len,
|  | bool | copy_name,
|  | CORE_ADDR | address,
|  | enum minimal_symbol_type | ms_type,
|  | int | section
| ) |  |

## ◆ record_with_info()

struct minimal_symbol* minimal_symbol_reader::record_with_info | ( | const char * | name,
|  | CORE_ADDR | address,
|  | enum minimal_symbol_type | ms_type,
|  | int | section
| ) |  |
| inline

Definition at line 121 of file minsyms.h.

The documentation for this class was generated from the following file:

- /tmp/gdb-8.1/gdb/minsyms.h